import React from 'react'
import classNames from 'classnames'

export default class IconCamera extends React.Component {
    constructor(){
        super();
        this.state = {
        };
    }

    render() {
        const {
            size,
            className,
            ...rest
        } = this.props;
        const wh = size || '1em'
        const icon = `<svg xmlns="http://www.w3.org/2000/svg" width="${wh}" height="${wh}" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"></path><circle cx="12" cy="13" r="4"></circle></svg>`
        const classes = classNames(
            'icon',
            'icon-camera',
            className
        );

        return <i
            className={ classes }
            dangerouslySetInnerHTML={{__html: icon }}
            { ...rest }
        />;
    }
}