import React from 'react'
import classNames from 'classnames'

export default class IconUser extends React.Component {
    constructor(){
        super();
        this.state = {
        };
    }

    render() {
        const {
            size,
            className,
            ...rest
        } = this.props;
        const wh = size || '1em'
        const icon = `<svg xmlns="http://www.w3.org/2000/svg" width="${wh}" height="${wh}" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path><circle cx="12" cy="7" r="4"></circle></svg>`
        const classes = classNames(
            'icon',
            'icon-user',
            className
        );

        return <i
            className={ classes }
            dangerouslySetInnerHTML={{__html: icon }}
            { ...rest }
        />;
    }
}