import React from 'react';
import classNames from 'classnames';
import './styles.styl'

export default class Toggle extends React.Component {
    constructor() {
        super();
    }

    render() {
        let classes = classNames('toggle', this.props.cls, {
            'disabled': this.props.disabled,
            'error': this.props.error,
            'valid': this.props.valid
        });

        return (
            <div className={ classes }>
                { this.props.children }
            </div>
        )
    }
}
