import React from 'react'
import classNames from 'classnames';

import './styles.styl'

export default class Tooltip extends React.Component {
    constructor(){
        super();
        this.state = {
            show: false
        };
    }
    componentDidMount() {
    }

    render() {
        const classes = classNames(
            'tooltip', 
            {
                [`tooltip-x-${this.props.x}`]: this.props.x,
                [`tooltip-y-${this.props.y}`]: this.props.y
            },
            this.props.className
        );

        return <div className={ classes }>
            <div className='tooltip-text'>{ this.props.text }</div>
            { this.props.children }
        </div>
    }
}
/* 
<Tooltip
    text={`test`}
    x='center'//left/center/right
    y='top'//top/center/bottom
    className={`some-calss`}
/> */