import emailMask from './mask/addons/emailMask'
import nameMask from './mask/addons/nameMask'
import numberMask from './mask/addons/numberMask'

const name = {
    name: 'name',
    pattern: nameMask.mask,
    placeholderChar: ' '
}

const number = {
    name: 'number',
    pattern: numberMask.mask,
    placeholderChar: ' '
}

const email = {
    name: 'email',
    pattern: emailMask.mask,
    pipe: emailMask.pipe
}

const mobile = {
    name: 'mobile',
    pattern: ['+', '7', ' ', '(', /[1-9]/, /\d/, /\d/, ')', ' ', /\d/, /\d/, /\d/, '-', /\d/, /\d/, /\d/, /\d/]
}

export default {
    name,
    number,
    email,    
    mobile
}