import 'react-dates/initialize'
import React from 'react';
import {
    SingleDatePicker,
    DayPicker,
    DateRangePicker
} from 'react-dates';

import './styles.styl'

export default class DatePicker extends React.Component {
    constructor(props) {
        super();
    }

    render() {
        const { type, ...rest } = this.props
        
        if (type == 'inline') {
            return <DayPicker {...rest} />
        } else 
        if (type == 'range') {
            /* return <DateRangePickerWrapper {...rest} /> */
             return <DateRangePicker {...rest} /> 
        } else {
            return <SingleDatePicker {...rest} />
        }
    }
}
