module.exports = {
    verbose: true,
    moduleFileExtensions: [
      'js',
      'json'
    ],
    roots: [
      '<rootDir>/components/',
      '<rootDir>/utils/'
    ],
    transform: {
      '^.+\\.js?$': 'babel-jest'
    },
    globals: {
      '__DEV__': true,
      'CONFIG': {}
    },
    moduleDirectories: [
      'node_modules'
    ],
    transformIgnorePatterns: [
      'node_modules'
    ],
    moduleNameMapper: {
      '\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': '<rootDir>/mocks/file.js',
      '\\.(css|less|styl)$': '<rootDir>/mocks/style.js'
    }
}